#ifndef CSTATION_H_INCLUDED
#define CSTATION_H_INCLUDED

#include <irrlicht.h>

using namespace irr;

class CStation
{
    public:

	CStation(scene::ISceneManager*,video::IVideoDriver*);

	~CStation();

	void SetName(core::stringc);
	void SetPosition(core::vector3df);
	core::vector3df GetPosition();
    void DrawStation();

	private:

	static const float distanceConstruction; // rayon de construction autorisé autour de la station

	scene::ITerrainSceneNode* terrain;
	scene::ITriangleSelector* selector;
	scene::ISceneNode* skybox;

	core::stringc stationName;
    core::vector3df position;
	u32 level;

	scene::ISceneManager* smgr;
	video::IVideoDriver* driver;
	scene::IAnimatedMesh* meshChalet;
    scene::IMeshSceneNode* nodeChalet;
    video::SMaterial material;
};


#endif // CSTATION_H_INCLUDED
